reorder qt support in kernel #560

Closed
wants to merge 2 commits into from
Commits on Jul 6, 2011
  1. @minrk

    reorder qt support in kernel

    minrk committed Jul 5, 2011
    import priority:
    
    1. ask matplotlib (if imported) - if PyQt4 specified, use API v1
    2. ask QT_API - if pyqt specified, use API v2
    3. if nothing specified, try PyQt4 v1, fallback on PySide.
  2. @minrk

    update qt import priority per recent discussion

    minrk committed Jul 6, 2011
    QT_API now supersedes matplotlib rcParam, so the v2 API will always be
    used if QT_API=pyqt (as long as matplotlib isn't too old)
    
    Default behavior for no QT_API is unchanged